-- Standard Turbine libraries
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

local importPath = getfenv(1)._.Name;
local thurallorPath = string.gsub(importPath, "%.Reminders$", "");

-- Thurallor's libraries
local commonPath = thurallorPath .. ".Common";
import (commonPath .. ".Turbine");
import (commonPath .. ".Utils.Locale_1");
import (commonPath .. ".Utils.Color_1");
import (commonPath .. ".Utils.AutoSizing_1");
import (commonPath .. ".Utils.Utils_1");
import (commonPath .. ".UI.Tooltip_1");
import (commonPath .. ".UI.RoundButton_1");
import (commonPath .. ".UI.Marquee_1");
import (commonPath .. ".UI.EdgeMover_1");
import (commonPath .. ".UI.TableControl_1");
import (commonPath .. ".UI.Tabs_1");
import (commonPath .. ".UI.DropDown_1");
import (commonPath .. ".UI.RadioButton_1");
import (commonPath .. ".UI.Iconifier_1");
import (commonPath .. ".UI.ColorPicker_1");

-- Reminders source files
import (importPath .. ".Nudger");
import (importPath .. ".ExpireTimeDialog");
import (importPath .. ".Event");
import (importPath .. ".Tab");
import (importPath .. ".Shimmering");
import (importPath .. ".OptionsPanel");
import (importPath .. ".Window");
import (importPath .. ".Main");
